/* SEO BANNER */
section.seo-banner {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    max-height: 650px;
    min-height: 450px;

    @media (min-width: 1200px) {
        padding-left: 60px;
        padding-right: 60px;
    }

    .seo-banner-contents {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        width: 100%;
        max-width: 979px;
        margin: auto;

        h1 {
            color: #fff;
            margin-bottom: 20px;
        }

        p {
            color: #fff;
            margin-bottom: 20px;

            &:last-of-type {
                margin-bottom: 0;
            }
        }
    }
}
/* SEO BANNER - end */

/* SEO HEADER SUB */
section.seo-header-sub {
    display: flex;
    flex-direction: column;
    width: 100%;

    @media (min-width: 1200px) {
        padding-left: 60px;
        padding-right: 60px;
    }

    &.light-blue-bg {
        background: #f5f8ff;

        .seo-header-sub-contents {
            h2 {
                color: #010d3f;
                text-transform: none;
            }
        }
    }

    &.dark-blue-bg {
        background: #010d3f;

        .seo-header-sub-contents {
            h2 {
                color: #fff;
                margin-bottom: 30px;
                text-transform: none;
            }

            p {
                color: #fff;
            }
        }
    }

    &.white-bg {
        background: #fff;

        .seo-header-sub-contents {
            h2 {
                color: #010d3f;
                margin-bottom: 30px;
                text-transform: none;
            }
        }
    }

    &.custom-bg {
        /* Custom per page - OVERRIDE */

        .seo-header-sub-contents {
            h2 {
                color: #010d3f;
                text-transform: none;
            }
        }
    }

    .seo-header-sub-contents {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        width: 100%;
        max-width: 1530px;
        margin: auto;

        h2 {
            margin-bottom: 20px;
            text-transform: none;
        }

        p {
            color: #212121;
            margin-bottom: 20px;

            &:last-of-type {
                margin-bottom: 0;
            }
        }

        &.with-image {
            display: flex;
            flex-direction: row;
            gap: 85px;

            .text-content {
                display: flex;
                flex-direction: column;
                justify-content: center;
                text-align: left;
                width: 100%;
                max-width: 692px;

                @media (max-width: 991px) {
                    max-width: 100%;
                }

                img {
                    &.mobile-only {
                        @media (min-width: 992px) {
                            display: none;
                        }

                        margin-bottom: 30px;
                    }
                }
            }

            .image-content {
                display: flex;
                flex-direction: column;
                width: 100%;
                max-width: 750px;

                @media (max-width: 991px) {
                    display: none;
                }
            }
        }
    }
}
/* SEO HEADER SUB - end */

/* SEO GRID SUB */
section.seo-grid-sub {
    display: flex;
    flex-direction: column;
    width: 100%;

    @media (min-width: 1200px) {
        padding-left: 60px;
        padding-right: 60px;
    }

    &.light-blue-bg {
        background: #f5f8ff;
    }

    &.dark-blue-bg {
        background: #010d3f;
    }

    &.white-bg {
        background: #fff;
    }

    &.custom-bg {
        /* Custom per page - OVERRIDE */
    }

    .seo-grid-sub-contents {
        display: flex;
        flex-direction: column;
        width: 100%;
        max-width: 1530px;
        gap: 30px;
        margin: auto;

        &.two-col {
            display: grid;
            grid-template-columns: repeat(2, 1fr);

            @media (max-width: 991px) {
                display: flex;
                flex-direction: column;
            }
        }

        &.three-col {
            display: grid;
            grid-template-columns: repeat(3, 1fr);

            @media (max-width: 1199px) {
                grid-template-columns: repeat(2, 1fr);
            }

            @media (max-width: 991px) {
                display: flex;
                flex-direction: column;
            }
        }

        &.four-col {
            display: grid;
            grid-template-columns: repeat(4, 1fr);

            @media (max-width: 1199px) {
                grid-template-columns: repeat(2, 1fr);
            }

            @media (max-width: 991px) {
                display: flex;
                flex-direction: column;
            }
        }

        &.five-grid {
            display: grid;
            grid-template-columns: repeat(6, 1fr);

            .card-item {
                &:nth-child(1),
                &:nth-child(2),
                &:nth-child(3) {
                    grid-column: span 2;

                    @media (max-width: 1199px) {
                        grid-column: span 1;
                    }
                }

                &:nth-child(4) {
                    grid-column: span 3;

                    @media (max-width: 1199px) {
                        grid-column: span 1;
                    }
                }

                &:nth-child(5) {
                    grid-column: span 3;

                    @media (max-width: 1199px) {
                        grid-column: span 2;
                    }
                }
            }

            @media (max-width: 1199px) {
                grid-template-columns: repeat(2, 1fr);
            }

            @media (max-width: 991px) {
                display: flex;
                flex-direction: column;
            }
        }

        &.solid-card {
            .card-item {
                display: flex;
                flex-direction: column;
                width: 100%;
                background: #010d3f;
                padding: 38px 42px;

                img {
                    width: 100%;
                    max-width: fit-content;
                    margin-bottom: 20px;
                }

                h3 {
                    color: #fff;
                    margin-bottom: 30px;
                }

                p {
                    color: #fff;
                    margin-bottom: 20px;

                    &:last-of-type {
                        margin-bottom: 0;
                    }
                }
            }
        }

        &.white-card {
            .card-item {
                display: flex;
                flex-direction: column;
                width: 100%;
                background: #fff;
                padding: 38px 42px;

                img {
                    width: 100%;
                    max-width: fit-content;
                    margin-bottom: 20px;
                }

                h3 {
                    color: #212121;
                    margin-bottom: 30px;
                }

                p {
                    color: #212121;
                    margin-bottom: 20px;

                    &:last-of-type {
                        margin-bottom: 0;
                    }
                }
            }
        }

        &.hollow-card {
            .card-item {
                display: flex;
                flex-direction: column;
                width: 100%;
                background: rgba(0, 0, 0, 0);
                border: 1px solid #1616cc;
                padding: 38px 42px;

                img {
                    width: 100%;
                    max-width: fit-content;
                    margin-bottom: 20px;
                }

                h3 {
                    color: #212121;
                    margin-bottom: 30px;
                }

                p {
                    color: #212121;
                    margin-bottom: 20px;

                    &:last-of-type {
                        margin-bottom: 0;
                    }
                }
            }
        }

        &.full-card {
            .card-item {
                display: flex;
                flex-direction: column;
                width: 100%;

                img {
                    width: 100%;
                    max-width: 100%;
                    margin-bottom: 30px;
                }

                h3 {
                    color: #212121;
                    margin-bottom: 20px;
                }

                p {
                    color: #212121;
                    margin-bottom: 20px;

                    &:last-of-type {
                        margin-bottom: 0;
                    }
                }
            }
        }
    }
}
/* SEO GRID SUB - end */

/* SEO GALLERY SUB */
section.seo-gallery-sub {
    display: flex;
    flex-direction: column;
    width: 100%;

    @media (min-width: 1200px) {
        padding-left: 60px;
        padding-right: 60px;
    }

    &.light-blue-bg {
        background: #f5f8ff;
    }

    &.dark-blue-bg {
        background: #010d3f;
    }

    &.white-bg {
        background: #fff;
    }

    &.custom-bg {
        /* Custom per page - OVERRIDE */
    }

    .seo-gallery-sub-contents {
        display: flex;
        flex-direction: column;
        width: 100%;
        max-width: 1530px;
        gap: 30px;
        margin: auto;

        &.six-item {
            .image-gallery {
                display: grid;
                grid-template-columns: repeat(12, 1fr);
                grid-template-rows: repeat(4, 1fr);
                grid-column-gap: 34px;
                grid-row-gap: 30px;

                @media (max-width: 1199px) {
                    grid-template-columns: repeat(2, 1fr);
                    grid-template-rows: unset;
                }

                @media (max-width: 991px) {
                    display: flex;
                    flex-direction: column;
                }

                .gallery-item {
                    display: flex;
                    flex-direction: column;
                    position: relative;
                    width: 100%;
                    height: 100%;
                    cursor: pointer;

                    img {
                        object-fit: cover;
                        display: flex;
                        width: 100%;
                        height: 100%;

                        @media (max-width: 1199px) {
                            min-height: 316px;
                            max-height: 316px;
                        }
                    }

                    .hover-overlay {
                        position: absolute;
                        inset: 0;
                        background: rgba(0, 0, 0, 0.4);
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        opacity: 0;
                        transition: 0.4s;

                        img {
                            width: 100%;
                            max-width: 40px;
                            height: 100%;
                            max-height: 40px;
                        }
                    }

                    &:hover {
                        .hover-overlay {
                            opacity: 1;
                            z-index: 2;
                        }
                    }

                    &:nth-child(1) {
                        @media (min-width: 1200px) {
                            grid-area: 1 / 1 / 3 / 5;
                        }
                    }

                    &:nth-child(2) {
                        @media (min-width: 1200px) {
                            grid-area: 3 / 1 / 5 / 3;
                        }
                    }

                    &:nth-child(3) {
                        @media (min-width: 1200px) {
                            grid-area: 3 / 3 / 5 / 5;
                        }
                    }

                    &:nth-child(4) {
                        @media (min-width: 1200px) {
                            grid-area: 1 / 5 / 5 / 9;
                        }
                    }

                    &:nth-child(5) {
                        @media (min-width: 1200px) {
                            grid-area: 1 / 9 / 3 / 13;
                        }
                    }

                    &:nth-child(6) {
                        @media (min-width: 1200px) {
                            grid-area: 3 / 9 / 5 / 13;
                        }
                    }
                }
            }
        }
    }
}

/* MODAL */
.gallery-modal {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.9);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;

    .gallery-modal-contents {
        display: flex;
        position: relative;
        /*justify-content: center;*/
        justify-content: space-between;
        align-items: center;
        width: 100%;
        max-width: 1530px;
        margin: 0 20px;

        .prev-button {
            /*position: absolute;
            top: 50%;
            transform: translateY(-50%);
            font-size: 40px;*/
            color: white;
            cursor: pointer;
            user-select: none;
        }

        .next-button {
            /*position: absolute;
            top: 50%;
            transform: translateY(-50%);
            font-size: 40px;*/
            color: white;
            cursor: pointer;
            user-select: none;
        }

        .modal-item {
            display: none;
            margin: 0 20px;

            img {
                width: 100%;
            }
        }
    }
}

/*.prev-button {
    left: -60px;
}
.next-button {
    right: -60px;
}*/

/* SEO GALLERY SUB - end */

/* SEO FAQs */
section.faq-solo {
    /*background: #f5f8ff;*/
    background: #fff;
    display: flex;
    flex-direction: column;
    width: 100%;

    @media (min-width: 1200px) {
        padding: 100px 60px;
    }

    .faq-solo-contents {
        display: flex;
        flex-direction: column;
        width: 100%;
        max-width: 1530px;
        margin: auto;

        .faq-header {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-bottom: 50px;

            h2 {
                color: #010d3f;
                text-align: center;
                margin-bottom: 0;
                text-transform: none;
            }
        }

        .faq-items {
            display: flex;
            flex-direction: column;
            gap: 30px;

            .faq-item {
                background: #fff;
                border: 1px solid #1616cc;
                display: flex;
                flex-direction: column;
                overflow: hidden;
                transition: 0.4s ease;

                &.closed {
                    .item-answer {
                        grid-template-rows: 0;
                        transition: 0.4s ease;
                        display: grid;
                        padding: 0px 20px;
                        opacity: 0;

                        ul {
                            display: none;
                        }

                        p {
                            font-size: 0 !important;
                            line-height: 0 !important;
                        }
                    }
                }

                .item-question {
                    display: flex;
                    justify-content: space-between;
                    padding: 15px 20px;
                    cursor: pointer;

                    h3 {
                        margin-right: 15px;
                        margin-bottom: 0;
                    }

                    .item-toggle {
                        display: flex;
                        flex-direction: column;
                        justify-content: center;
                        align-items: center;
                    }
                }

                .item-answer {
                    grid-template-rows: 1fr;
                    transition: 0.4s ease;
                    display: grid;
                    padding: 20px;
                    opacity: 1;

                    ul {
                        display: flex;
                        flex-direction: column;
                        margin-bottom: 0;

                        li {
                            font-family: "Nunito", sans-serif;
                            font-size: 14px;
                        }
                    }

                    p {
                        font-family: "Nunito", sans-serif;
                        margin-bottom: 30px;
                        font-size: 14px;

                        &:last-of-type {
                            margin-bottom: 0;
                        }
                    }
                }
            }
        }
    }
}
/* SEO FAQs - end */

/* SEO PRE FOOTER */
section.seo-pre-footer {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    max-height: 536px;
    min-height: 450px;

    @media (min-width: 1200px) {
        padding-left: 60px;
        padding-right: 60px;
    }

    .seo-pre-footer-contents {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        width: 100%;
        max-width: 979px;
        margin: auto;

        h2 {
            color: #fff;
            margin-bottom: 20px;
            text-transform: none;
        }

        p {
            color: #fff;
            margin-bottom: 20px;

            &:last-of-type {
                margin-bottom: 0;
            }
        }

        .pre-footer-cta {
            a {
                text-decoration: none;
                display: flex;
                justify-content: center;
                font-family: "Hind-Bold", sans-serif;
                width: 100%;
                max-width: 230px;
                font-weight: 700;
                font-size: 18px;
                padding: 9px 36px;
                color: #fff;
                background: #0056e5;
                border: 0;
                transition: 0.3s ease;
                margin: auto;
                margin-top: 40px;

                &:hover {
                    background: #1f6def;
                }
            }
        }
    }
}
/* SEO PRE FOOTER - end */

/* top-steel-company-philippines - overrides */
.page-id-1825 {
    section#lintonRecognizedHeader {
        .text-content {
            max-width: 898px;
            margin-left: auto;
            margin-right: auto;
        }

        padding-bottom: 0;
    }

    section#lintonRecognizedGrid {
        padding-top: 50px;
    }

    section#ourHighScaleHeader {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/our-scale-header-bg.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        .text-content {
            max-width: 898px;
            margin-left: auto;
            margin-right: auto;
        }

        padding-bottom: 0;
    }

    section#ourHighScaleGrid {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/our-scale-grid-bg.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        padding-top: 50px;
    }

    section#lintonMaintainHeader {
        padding-bottom: 0;
    }

    section#lintonMaintainGrid {
        padding-top: 50px;
    }

    section#topSteelFeaturedHeader {
        padding-bottom: 0;
    }

    section#topSteelGridHeader {
        padding-top: 50px;

        .seo-grid-sub-contents {
            .card-item {
                &:nth-of-type(1) {
                    h3 {
                        @media (min-width: 992px) {
                            line-height: 1.5em;
                            height: 3em; /* 2 lines */
                            overflow: hidden;
                        }
                    }
                }

                &:nth-of-type(2) {
                    h3 {
                        @media (min-width: 992px) {
                            max-width: 322px;
                        }
                    }
                }

                &:nth-of-type(3) {
                    h3 {
                        @media (min-width: 992px) {
                            max-width: 326px;
                        }
                    }
                }
            }
        }
    }
}
/* top-steel-company-philippines - overrides - end */

/* steel-philippines - overrides */
.page-id-1903 {
    section#trustedSteelHeader {
        @media (min-width: 992px) {
            padding-top: 0;
            height: 100vh;
            max-height: 729px;
            min-height: 729px;
        }

        .seo-header-sub-contents {
            @media (min-width: 992px) {
                margin-top: 0;
                height: 100%;
            }

            @media (max-width: 1780px) {
                justify-content: left;
            }

            .text-content {
                @media (min-width: 992px) {
                    /*margin-top: 100px;*/
                    /*margin-top: 192px;*/
                    margin-top: 7vw;
                }
            }

            .image-content {
                img {
                    position: absolute;
                    /*position: relative;*/
                    display: flex;
                    width: 100%;
                    max-width: 915px;
                    min-width: 915px;
                    /*max-width: 48vw;*/
                    /*height: 100%;*/
                    /*max-height: 834px;*/
                    min-height: 834px;
                    right: 0;
                    clip-path: polygon(
                        0% 0%,
                        100% 0%,
                        100% 100%,
                        19% 100%,
                        0% 87%
                    );
                    object-fit: cover;
                    transition: 0.4s ease;

                    @media (min-width: 1921px) {
                        max-width: 915px;
                    }

                    @media (max-width: 1780px) {
                        max-width: 790px;
                        min-width: 790px;
                    }

                    @media (max-width: 1580px) {
                        max-width: 690px;
                        min-width: 690px;
                    }

                    @media (max-width: 1380px) {
                        max-width: 590px;
                        min-width: 590px;
                    }

                    @media (max-width: 1180px) {
                        max-width: 490px;
                        min-width: 490px;
                    }
                }
            }
        }
    }

    section#steelPortfolioHeader {
        @media (min-width: 992px) {
            padding-top: 190px;
        }

        padding-bottom: 0;

        .text-content {
            max-width: 903px;
            margin: auto;
        }
    }

    section#steelPortfolioGrid {
        padding-top: 50px;
    }

    section#steelFabricationHeader {
        padding-bottom: 0;
    }

    section#steelFabricationGrid {
        padding-top: 50px;
    }

    section#projectDevelopmentsHeader {
        padding-bottom: 0;

        .text-content {
            max-width: 898px;
            margin: auto;
        }
    }

    section#projectDevelopmentsGrid {
        padding-top: 50px;
    }

    section#structuralIntegrityHeader {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/structural-integrity-bg-header-1.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        padding-bottom: 0;
    }

    section#structuralIntegrityGrid {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/structural-integrity-bg-grid-1.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        padding-top: 50px;
    }
}
/* steel-philippines - overrides - end */

/* angle-bar-supplier-philippines - overrides */
.term-23 {
    section#roleAngleBar {
        .text-content {
            max-width: 898px;
            margin: auto;
        }
    }

    section#highQualityAngleBarHeader {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/high-quality-angle-bar-header.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        padding-bottom: 0;

        .text-content {
            max-width: 898px;
            margin: auto;
        }
    }

    section#highQualityAngleBarGrid {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/high-quality-angle-bar-grid.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        padding-top: 50px;
    }

    section#applicationsAngleBarHeader {
        padding-bottom: 0;
    }

    section#applicationsAngleBarGrid {
        padding-top: 50px;
        padding-bottom: 0;
    }

    section#applicationsAngleBarGallery {
        padding-top: 50px;
    }

    section#partnerWithLinton {
        .text-content {
            max-width: 898px;
            margin: auto;
        }
    }

    section#keyConsiderationsHeader {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/key-considerations-bg-header.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        padding-bottom: 0;

        .text-content {
            max-width: 898px;
            margin: auto;
        }
    }

    section#keyConsiderationsGrid {
        &.custom-bg {
            background: url("https://lintonincorporated.com.ph/wp-content/uploads/2026/03/key-considerations-bg-grid.png");
            background-position: center center;
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        padding-top: 50px;
    }

    section#dependableAngleBarHeader {
        .text-content {
            max-width: 899px;
            margin: auto;
        }
    }
}
/* angle-bar-supplier-philippines - overrides - end */
